#-*-coding:utf-8*-*
from os.path import isfile, join
from creole.loader import creole_loader

def test_timezone():
    """
    Vérifie la disponibilité des configurations
    proposées pour la timezone
    """
    loader = creole_loader()
    var = loader.unwrap_from_path('creole.general.time_zone')
    for tzone in var.impl_get_values():
        assert isfile(join("/usr/share/zoneinfo", tzone))
